#pragma once

#include "frq_normalizer.h"

class TYndexNormalizer : public TIndexFrqNormalizer {
public:
    TYndexNormalizer(const TRTYServerConfig& config);
    virtual const char* Name() const override;
    virtual bool AllRight(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& indexFrq) const override;
    virtual void Fix(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& indexFrq) const override;
};
